Bug 458402 - Review Request: griffith - Media collection manager
Summary: Review Request: griffith - Media collection manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-08 00:36 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
5 users (show)

Fixed In Version: uncrustify-0.56-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-17 20:12:21 UTC
debarshir: fedora-review?


Attachments (Terms of Use)

Description Rahul Sundaram 2008-08-08 00:36:26 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/griffith.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/griffith-0.9.7.1-1.fc10.src.rpm
Description: 

Griffith is a media collection manager application. Adding items to the 
collection is as quick and easy as typing the film title and selecting 
a supported source. Griffith will then try to fetch all the related 
information from the Web.

Note: Running it won't work in current rawhide due to pygtk breakage.

Comment 1 Randy Berry 2008-10-15 06:18:59 UTC
Practice Review:

[*] OK
[x] Fail (see comment)
[o] Not Applicable
[?] Questions

[*] MUST: rpmlint must be run on every package. The output should be posted in
    the review.

    Comment: 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
[*] MUST: The package must be named according to the Package Naming Guidelines.

[*] MUST: The spec file name must match the base package %{name}, in the format 
    %{name}.spec unless your package has an exemption on Package Naming
    Guidelines.

[*] MUST: The package must meet the Packaging Guidelines.

[*] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.

[*] MUST: The License field in the package spec file must match the actual
    license.

[*] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.

[*] MUST: The spec file must be written in American English.

[*] MUST: The spec file for the package MUST be legible. If the reviewer is
    unable to read the spec file, it will be impossible to perform a review.
    Fedora is not the place for entries into the Obfuscated Code Contest
    (http://www.ioccc.org/).

[*] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source URL
    Guidelines for how to deal with this.
   
    Comment: Upstream URL works, but no md5sum available

[*] MUST: The package must successfully compile and build into binary rpms on at
    least one supported architecture.

    Comment: Successful mock build on F9 i386, Rawhide 1386 run tested on F9
    i386

[*] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug
    filed in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number should then be
    placed in a comment, next to the corresponding ExcludeArch line. New
    packages will not have bugzilla entries during the review process,
    so they should put this description in the comment until the package is
    approved, then file the bugzilla entry, and replace the long explanation
    with the bug number. The bug should be marked as blocking one (or more) of
    the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 ,
    FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64

[*] MUST: All build dependencies must be listed in BuildRequires, except for any
    that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.

[*] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[o] MUST: Every binary RPM package which stores shared library files (not just
    symlinks) in any of the dynamic linker's default paths, must call ldconfig
    in %post and %postun. If the package has multiple subpackages with 
    libraries, each subpackage should also have a %post/%postun section that
    calls /sbin/ldconfig.An example of the correct syntax for this is:

    %post -p /sbin/ldconfig

    %postun -p /sbin/ldconfig

[o] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker.

[*] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which does
    create that directory. Refer to the Guidelines for examples.

[*] MUST: A package must not contain any duplicate files in the %files listing.

[*] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. Every %files section must include
    a %defattr(...) line.

[*] MUST: Each package must have a %clean section, which contains rm -rf
    %{buildroot} ( or $RPM_BUILD_ROOT ).

[x] MUST: Each package must consistently use macros, as described in the macros
    section of Packaging Guidelines.

    Comment: missing %{name} macro in Source0: URL %{name} macro is used
    consistently through out spec should be used here also.

[*] MUST: The package must contain code, or permissable content. This is
    described in detail in the code vs. content section of Packaging Guidelines.

[*] MUST: Large documentation files should go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity.)

[*] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present.

[o] MUST: Header files must be in a -devel package.

[o] MUST: Static libraries must be in a -static package.

[o] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    (for directory ownership and usability).

[o] MUST: If a package contains library files with a suffix
    (e.g. libfoo.so.1.1), then library files that end in .so
    (without suffix) must go in a -devel package.

[o] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
    Requires: %{name} = %{version}-%{release}

[o] MUST: Packages must NOT contain any .la libtool archives, these should be
    removed in the spec.

[*] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install
    in the %install section. This is described in detail in the desktop files
    section of the Packaging Guidelines . If you feel that your packaged GUI
    application does not need a .desktop file, you must put a comment in the
    spec file with your explanation.

[*] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share
    ownership with any of the files or directories owned by the filesystem
    or man package. If you feel that you have a good reason to own a file or
    directory that another package owns, then please present that at package
    review time.

[*] MUST: At the beginning of %install, each package MUST run
    rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For
    %install for details.

[*] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 2 Randy Berry 2008-10-15 06:44:16 UTC
One comment I forgot to mention. The Website URL appears to be a domain parker with pop-ups included. Is this correct or is this a temporary place holder for the website listed?

Comment 3 Randy Berry 2008-10-15 07:41:33 UTC
My Bad.. I forgot to check all packages and not just src.rpm.

[x] MUST: rpmlint must be run on every package. The output should be posted in
    the review.

griffith.i386: W: symlink-should-be-relative /usr/bin/griffith /usr/share/griffith/lib/griffith
griffith.i386: W: file-not-utf8 /usr/share/man/pl/man1/griffith.1.gz
griffith.i386: E: no-binary
griffith-debuginfo.i386: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

Comment 4 Gwyn Ciesla 2008-10-15 14:02:54 UTC
Comments on practice review:
>[x] MUST: Each package must consistently use macros, as described in the macros
>   section of Packaging Guidelines.
>
>    Comment: missing %{name} macro in Source0: URL %{name} macro is used
>    consistently through out spec should be used here also.

This particular case is more of a convenience, not a necessity.  In fact, sometimes I see macros overused, like %{version} in patch name, which must then be hard-coded or renamed if the patch is valid over multiple versions, but this is not the case here.

>One comment I forgot to mention. The Website URL appears to be a domain parker
>with pop-ups included. Is this correct or is this a temporary place holder for
>the website listed?

README gives http://www.griffith.cc, which is much better.

>[*] MUST: Packages containing GUI applications must include a %{name}.desktop
>    file, and that file must be properly installed with desktop-file-install
>    in the %install section. This is described in detail in the desktop files
>    section of the Packaging Guidelines . If you feel that your packaged GUI
>    application does not need a .desktop file, you must put a comment in the
>    spec file with your explanation.

Actually, this is not *quite* correctly handled:
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Otherwise, a good review.

Comment 5 Debarshi Ray 2008-11-07 19:14:09 UTC
Ping.

Rahul can you please use http://www.griffith.cc/ as the value of the URL tag and uncomment the dependency on python-chardet since it has already been built?

Comment 6 Debarshi Ray 2008-12-28 17:17:43 UTC
Ping?

Comment 7 Rahul Sundaram 2009-04-07 06:53:27 UTC

Sorry for the delay folks. This one required quite a bit of reworking

http://sundaram.fedorapeople.org/packages/griffith.spec
http://sundaram.fedorapeople.org/packages/griffith-0.9.9-1.fc10.src.rpm

Comment 8 Rahul Sundaram 2009-04-17 20:12:21 UTC
Even though this review was submitted first, a duplicate review has already been approved. So I am going to close this one and hope that the improvements if any from this spec are incorporated there.  

Thanks for the review folks

*** This bug has been marked as a duplicate of bug 492898 ***

Comment 9 Fedora Update System 2010-05-24 11:57:45 UTC
uncrustify-0.56-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/uncrustify-0.56-2.fc13

Comment 10 Fedora Update System 2010-05-24 12:03:50 UTC
uncrustify-0.56-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/uncrustify-0.56-2.fc12

Comment 11 Fedora Update System 2010-05-24 12:09:19 UTC
uncrustify-0.56-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/uncrustify-0.56-2.fc11

Comment 12 Fedora Update System 2010-08-26 00:52:24 UTC
uncrustify-0.56-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-26 00:55:48 UTC
uncrustify-0.56-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.